Bug 509132 - certutil -O only lists trusted certs in a chain
certutil -O only lists trusted certs in a chain
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: nss (Show other bugs)
11
All Linux
low Severity high
: ---
: ---
Assigned To: Kai Engert (:kaie)
Fedora Extras Quality Assurance
:
Depends On:
Blocks: 509111 517000
  Show dependency treegraph
 
Reported: 2009-07-01 09:51 EDT by Rob Crittenden
Modified: 2010-07-06 13:36 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-06-28 09:24:54 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Mozilla Foundation 511628 None None None Never

  None (edit)
Description Rob Crittenden 2009-07-01 09:51:33 EDT
Description of problem:

certutil -O is used to print the chain of a certificate.

#  certutil -O -n Server-Cert -d /etc/dirsrv/slapd-EXAMPLE-COM/
"CA certificate" [CN=IPA Test Certificate Authority]

  "Server-Cert" [CN=saturn.example.com,OU=Fedora Directory Server]

In previous versions of nss this will print the entire chain whether the CA certs are trusted or not. With F-11 this only includes those certs that are trusted:

The previous call was made with a trusted CA cert.

# certutil -L -d /etc/dirsrv/slapd-GREYOAK-COM/

Certificate Nickname                                         Trust Attributes
                                                             SSL,S/MIME,JAR/XPI

Server-Cert                                                  u,u,u
CA certificate                                               CT,, 

If we remove the trust and re-run the command then then CA drops from the list:

# certutil -M -t ,,, -n "CA certificate" -d /etc/dirsrv/slapd-EXAMPLE-COM/
# certutil -O -n Server-Cert -d /etc/dirsrv/slapd-EXAMPLE-COM/
"Server-Cert" [CN=saturn.example.com,OU=Fedora Directory Server]

Version-Release number of selected component (if applicable):

nss-tools-3.12.3.99.3-2.11.3.fc11.x86_64

How reproducible:

I ran into this during IPA development but it is trivial to reproduce a database that exhibits this.
Comment 1 Kai Engert (:kaie) 2009-08-20 08:25:08 EDT
Do you have reason to believe this is a regression specific to the Fedora packaging of NSS?

If not, this should be brought to the intention of the upstream NSS developers by filing a bug at bugzilla.mozilla.org product NSS. Could you please do it, or want me to do that? Thanks.
Comment 2 Rob Crittenden 2009-08-20 08:33:48 EDT
I'm not sure where the problem lies, though it may be a safe assumption that this is an upstream regression. I'd prefer it if you filed the upstream bug.
Comment 3 Kai Engert (:kaie) 2009-08-20 09:00:40 EDT
Reported upstream:
https://bugzilla.mozilla.org/show_bug.cgi?id=511628
Comment 4 Bug Zapper 2010-04-27 11:24:04 EDT
This message is a reminder that Fedora 11 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 11.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '11'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 11's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 11 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 5 Bug Zapper 2010-06-28 09:24:54 EDT
Fedora 11 changed to end-of-life (EOL) status on 2010-06-25. Fedora 11 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.
Comment 6 Rob Crittenden 2010-07-06 13:36:29 EDT
To close the loop on this, the underlying problem is that the CA we issued lacked the CA basic constraint so wasn't seen as a CA by NSS, hence wasn't being displayed.

Note You need to log in before you can comment on or make changes to this bug.